# Uses of Interface
org.eclipse.emf.compare.provider.utils.IStyledString.IComposedStyledString

Packages that use IStyledString.IComposedStyledString
Package
Description
org.eclipse.emf.compare.ide.ui.internal.util
org.eclipse.emf.compare.provider
org.eclipse.emf.compare.provider.spec
org.eclipse.emf.compare.provider.utils
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

## Uses of IStyledString.IComposedStyledString in org.eclipse.emf.compare.ide.ui.internal.util

Methods in org.eclipse.emf.compare.ide.ui.internal.util with parameters of type IStyledString.IComposedStyledString
Modifier and Type
Method
Description
`org.eclipse.jface.viewers.StyledString`
StyledStringConverter.`toJFaceStyledString(IStyledString.IComposedStyledString composedStyledString)`

## Uses of IStyledString.IComposedStyledString in org.eclipse.emf.compare.provider

Methods in org.eclipse.emf.compare.provider that return IStyledString.IComposedStyledString
Modifier and Type
Method
Description
`IStyledString.IComposedStyledString`
ExtendedAdapterFactoryItemDelegator.`getStyledText(Object object)`
Returns the styled text label for the given object.
`IStyledString.IComposedStyledString`
IItemStyledLabelProvider.`getStyledText(Object object)`
Returns the styled text label for the given object.

## Uses of IStyledString.IComposedStyledString in org.eclipse.emf.compare.provider.spec

Methods in org.eclipse.emf.compare.provider.spec that return IStyledString.IComposedStyledString
Modifier and Type
Method
Description
`IStyledString.IComposedStyledString`
AttributeChangeItemProviderSpec.`getStyledText(Object object)`
Returns the styled text label for the given object.
`IStyledString.IComposedStyledString`
ComparisonItemProviderSpec.`getStyledText(Object object)`
Returns the styled text label for the given object.
`IStyledString.IComposedStyledString`
ConflictItemProviderSpec.`getStyledText(Object object)`
Returns the styled text label for the given object.
`IStyledString.IComposedStyledString`
FeatureMapChangeItemProviderSpec.`getStyledText(Object object)`
Returns the styled text label for the given object.
`IStyledString.IComposedStyledString`
MatchItemProviderSpec.`getStyledText(Object object)`
Returns the styled text label for the given object.
`IStyledString.IComposedStyledString`
MatchResourceItemProviderSpec.`getStyledText(Object object)`
Returns the styled text label for the given object.
`IStyledString.IComposedStyledString`
ReferenceChangeItemProviderSpec.`getStyledText(Object object)`
Returns the styled text label for the given object.
`IStyledString.IComposedStyledString`
ResourceAttachmentChangeItemProviderSpec.`getStyledText(Object object)`
Returns the styled text label for the given object.
`IStyledString.IComposedStyledString`
ResourceLocationChangeItemProviderSpec.`getStyledText(Object object)`
Returns the styled text label for the given object.

## Uses of IStyledString.IComposedStyledString in org.eclipse.emf.compare.provider.utils

Classes in org.eclipse.emf.compare.provider.utils that implement IStyledString.IComposedStyledString
Modifier and Type
Class
Description
`class`
`ComposedStyledString`
Composed styled string implementation backed by an `ArrayList`.
Methods in org.eclipse.emf.compare.provider.utils that return IStyledString.IComposedStyledString
Modifier and Type
Method
Description
`IStyledString.IComposedStyledString`
ComposedStyledString.`append(String str)`
Append the given string with no style.
`IStyledString.IComposedStyledString`
ComposedStyledString.`append(String str, IStyledString.Style style)`
Append the given string with the given style.
`IStyledString.IComposedStyledString`
ComposedStyledString.`append(IStyledString.IComposedStyledString composedStyledString)`
Appends the given composed styled string to this.
`IStyledString.IComposedStyledString`
IStyledString.IComposedStyledString.`append(String str)`
Append the given string with no style.
`IStyledString.IComposedStyledString`
IStyledString.IComposedStyledString.`append(String str, IStyledString.Style style)`
Append the given string with the given style.
`IStyledString.IComposedStyledString`
IStyledString.IComposedStyledString.`append(IStyledString.IComposedStyledString composedStyledString)`
Appends the given composed styled string to this.
Methods in org.eclipse.emf.compare.provider.utils with parameters of type IStyledString.IComposedStyledString
Modifier and Type
Method
Description
`IStyledString.IComposedStyledString`
ComposedStyledString.`append(IStyledString.IComposedStyledString composedStyledString)`
Appends the given composed styled string to this.
`IStyledString.IComposedStyledString`
IStyledString.IComposedStyledString.`append(IStyledString.IComposedStyledString composedStyledString)`
Appends the given composed styled string to this.

## Uses of IStyledString.IComposedStyledString in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that return IStyledString.IComposedStyledString
Modifier and Type
Method
Description
`IStyledString.IComposedStyledString`
BasicDifferenceGroupImpl.`getStyledName()`
The styled label for the this group.
`IStyledString.IComposedStyledString`
ThreeWayComparisonGroupProvider.ConflictsGroupImpl.`getStyledName()`
The styled label for the this group.

## Uses of IStyledString.IComposedStyledString in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider that return IStyledString.IComposedStyledString
Modifier and Type
Method
Description
`IStyledString.IComposedStyledString`
GroupItemProviderAdapter.`getStyledText(Object object)`
Returns the styled text label for the given object.
`IStyledString.IComposedStyledString`
TreeNodeItemProviderSpec.`getStyledText(Object object)`
Returns the styled text label for the given object.

## Uses of IStyledString.IComposedStyledString in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups that return IStyledString.IComposedStyledString
Modifier and Type
Method
Description
`IStyledString.IComposedStyledString`
IDifferenceGroup.`getStyledName()`
The styled label for the this group.